using System;
using System.Collections.Generic;
using Server.Items;
using Server.Guilds;

namespace Server.Mobiles
{
	public class SBProvisioner : SBInfo
	{
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBProvisioner()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : List<GenericBuyInfo>
		{
			public InternalBuyInfo()
			{

				Add( new GenericBuyInfo( typeof( Arrow ), 2, 30, 0xF3F, 0 ) );
				Add( new GenericBuyInfo( typeof( Bolt ), 5, 30, 0x1BFB, 0 ) );

				Add( new GenericBuyInfo( typeof( Backpack ), 500, 20, 0x9B2, 0 ) );
				Add( new GenericBuyInfo( typeof( Pouch ), 200, 20, 0xE79, 0 ) );
				Add( new GenericBuyInfo( typeof( Bag ), 200, 20, 0xE76, 0 ) );
				
				Add( new GenericBuyInfo( typeof( Torch ), 100, 20, 0xF6B, 0 ) );
				Add( new GenericBuyInfo( typeof( Lantern ), 200, 20, 0xA25, 0 ) );

				Add( new GenericBuyInfo( typeof( BreadLoaf ), 700, 10, 0x103B, 0 ) );
				Add( new GenericBuyInfo( typeof( LambLeg ), 1000, 20, 0x160A, 0 ) );
				Add( new GenericBuyInfo( typeof( ChickenLeg ), 1000, 20, 0x1608, 0 ) );
				Add( new GenericBuyInfo( typeof( CookedBird ), 1000, 20, 0x9B7, 0 ) );

				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Ale, 2000, 20, 0x99F, 0 ) );
				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Water, 500, 20, 0x99B, 0 ) );

				Add( new GenericBuyInfo( typeof( Apple ), 50, 20, 0x9D0, 0 ) );

				Add( new GenericBuyInfo( typeof( Pitcher ), 100, 20, 0xFF6, 0 ) );

				Add( new GenericBuyInfo( typeof( RedBook ), 15, 20, 0xFF1, 0 ) );
				Add( new GenericBuyInfo( typeof( BlueBook ), 15, 20, 0xFF2, 0 ) );

			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( Pickaxe ), 100 );
				Add( typeof( VikingSword ), 200 );
				Add( typeof( Tagebuch1 ), 100 );
				Add( typeof( Log ), 10 );
				Add( typeof( Hides ), 25 );
				Add( typeof( Bow ), 150 );
				Add( typeof( Crossbow ), 250 );  
				Add( typeof( Arrow ), 5 );
				Add( typeof( CeramicMug ), 5 );
				Add( typeof( Dyes ), 5 );
				Add( typeof( DyeTub ), 5 );
				Add( typeof( Skillet ), 100 );
				Add( typeof( FletcherTools ), 100 );
				Add( typeof( Hatchet ), 100 );
				Add( typeof( Dagger ), 100 );
				Add( typeof( Scissors ), 100 );
				Add( typeof( Bolt ), 5 );
				Add( typeof( Backpack ), 50 );
				Add( typeof( Pouch ), 50 );
				Add( typeof( Bag ), 25 );
				Add( typeof( Candle ), 50 );
				Add( typeof( Torch ), 25 );
				Add( typeof( Lantern ), 50 );
				Add( typeof( Lockpick ), 100 );
				Add( typeof( FloppyHat ), 3 );
				Add( typeof( WideBrimHat ), 4 );
				Add( typeof( Cap ), 5 );
				Add( typeof( TallStrawHat ), 4 );
				Add( typeof( StrawHat ), 3 );
				Add( typeof( WizardsHat ), 5 );
				Add( typeof( LeatherCap ), 5 );
				Add( typeof( FeatheredHat ), 5 );
				Add( typeof( TricorneHat ), 4 );
				Add( typeof( Bandana ), 3 );
				Add( typeof( SkullCap ), 3 );
				Add( typeof( Bottle ), 3 );
				Add( typeof( RedBook ), 7 );
				Add( typeof( BlueBook ), 7 );
				Add( typeof( TanBook ), 7 );
				Add( typeof( WoodenBox ), 7 );
				Add( typeof( Kindling ), 1 );
				Add( typeof( HairDye ), 30 );
				Add( typeof( Chessboard ), 1 );
				Add( typeof( CheckerBoard ), 1 );
				Add( typeof( Backgammon ), 1 );
				Add( typeof( Dices ), 1 );

				Add( typeof( Amber ), 25 );
				Add( typeof( Amethyst ), 50 );
				Add( typeof( Citrine ), 25 );
				Add( typeof( Diamond ), 100 );
				Add( typeof( Emerald ), 50 );
				Add( typeof( Ruby ), 50 );
				Add( typeof( Sapphire ), 50 );
				Add( typeof( StarSapphire ), 60 );
				Add( typeof( Tourmaline ), 50 );
				Add( typeof( GoldRing ), 50 );
				Add( typeof( SilverRing ), 25 );
				Add( typeof( Necklace ), 25 );
				Add( typeof( GoldNecklace ), 75 );
				Add( typeof( GoldBeadNecklace ), 50 );
				Add( typeof( SilverNecklace ), 40 );
				Add( typeof( SilverBeadNecklace ), 25 );
				Add( typeof( Beads ), 20 );
				Add( typeof( GoldBracelet ), 50 );
				Add( typeof( SilverBracelet ), 40 );
				Add( typeof( GoldEarrings ), 30 );
				Add( typeof( SilverEarrings ), 20 );

			}
		}
	}
}
